incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Nalley (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-78) Cloudstack Agent installation failed with jsvc package dependancy error
Date Wed, 12 Sep 2012 11:39:07 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-78?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13453910#comment-13453910
] 

David Nalley commented on CLOUDSTACK-78:
----------------------------------------

Why are you having to use rpm to install that package from a remote CentOS repo?

What happened when you tried 'yum install jsvc'? (you did try this, right? Both Hiroaki Kawai
and I both explicitly asked to see the result from that command. ) 

The lengths one went to to get jsvc installed makes one think that this is a case of not having
access to the yum repos for RHEL rather than a problem with CloudStack's packaging. 
                
> Cloudstack Agent installation failed with jsvc package dependancy error 
> ------------------------------------------------------------------------
>
>                 Key: CLOUDSTACK-78
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-78
>             Project: CloudStack
>          Issue Type: Bug
>          Components: Install and Setup
>    Affects Versions: pre-4.0.0
>            Reporter: Sailaja Mada
>            Assignee: David Nalley
>            Priority: Critical
>             Fix For: pre-4.0.0
>
>
> Steps:
> 1. Tried installing Agent with KVM host .  
> Observation : Cloudstack Agent installation failed with jsvc package dependancy error

> Details : 
>     M) Install the Management Server
>     A) Install the Agent
>     B) Install BareMetal Agent
>     S) Install the Usage Monitor
>     D) Install the database server
>     Q) Quit
>     > A
> Installing the Agent...
> Loaded plugins: product-id, security, subscription-manager
> Updating certificate-based repositories.
> cloud-temp                                                                          
                                                                                         |
2.6 kB     00:00 ...
> cloud-temp/primary_db                                                               
                                                                                         |
 10 kB     00:00 ...
> rhel                                                                                
                                                                                         |
4.0 kB     00:00 ...
> Setting up Install Process
> No package cloud-premium available.
> Resolving Dependencies
> --> Running transaction check
> ---> Package cloud-agent.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> --> Processing Dependency: cloud-utils = 4.0.59 for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Processing Dependency: cloud-python = 4.0.59 for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Processing Dependency: cloud-deps = 4.0.59 for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Processing Dependency: cloud-core = 4.0.59 for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Processing Dependency: cloud-agent-scripts = 4.0.59 for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Processing Dependency: cloud-agent-libs = 4.0.59 for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Processing Dependency: jsvc for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Processing Dependency: jna for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> --> Running transaction check
> ---> Package cloud-agent.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> --> Processing Dependency: jsvc for package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64
> ---> Package cloud-agent-libs.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> ---> Package cloud-agent-scripts.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> ---> Package cloud-core.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> ---> Package cloud-deps.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> ---> Package cloud-python.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> ---> Package cloud-utils.x86_64 0:4.0.59-0.59.el6.4.0 will be installed
> ---> Package jna.x86_64 0:3.2.4-2.el6 will be installed
> --> Finished Dependency Resolution
> Error: Package: cloud-agent-4.0.59-0.59.el6.4.0.x86_64 (cloud-temp)
>            Requires: jsvc
>  You could try using --skip-broken to work around the problem
>  You could try running: rpm -Va --nofiles --nodigest
> Done
> Expected Results :  Installation should go thru with out any issues. 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message